//
//  UKTGrabber.h
//  UK Transport
//
//  Created by Amy Worrall on 13/10/2013.
//  Copyright (c) 2013 Double and Thrice. All rights reserved.
//

#import <Foundation/Foundation.h>

@interface UKTGrabber : NSOperation

// For subclasses to override
- (NSURL*)urlToFetch;
- (NSData*)httpBodyToSend;
- (void)parseLoadedData:(NSData*)data;
- (NSString*)contentTypeHeader;
- (NSString*)authUsername;
- (NSString*)authPassword;
- (void)configureRequest:(NSMutableURLRequest*)req;


// Output
@property (nonatomic, strong) NSError *error;

// subclass must call
- (void)finish;

@end
